## wxCalendarEvent

The wxCalendarEvent class is used together with wxCalendarCtrl.

See also

wxCalendarCtrl

Members

wxCalendarEvent::GetDate
wxCalendarEvent::GetWeekDay

### wxCalendarEvent::GetDate

wxcalendareventgetdate

const wxDateTime& GetDate() const

Returns the date. This function may be called for all event types except `EVT_CALENDAR_WEEKDAY_CLICKED` one for which it doesn't make sense.

### wxCalendarEvent::GetWeekDay

wxcalendareventgetweekday

wxDateTime::WeekDay GetWeekDay() const

Returns the week day on which the user clicked in `EVT_CALENDAR_WEEKDAY_CLICKED` handler. It doesn't make sense to call this function in other handlers.